rest_api_builder 1.1.1

Rest API Builder #

Rest api builder like Retrofit

How to publish? #

If you just check validation, run following command:

flutter packages pub publish --dry-run

To publish the library, run following command:

flutter packages pub publish

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  rest_api_builder: ^1.1.1

2. Install it

You can install packages from the command line:

with pub:


$ pub get

with Flutter:


$ flutter pub get

Alternatively, your editor might support pub get or flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:rest_api_builder/rest_api_builder.dart';
  
Popularity:
Describes how popular the package is relative to other packages. [more]
48
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
50
Overall:
Weighted score of the above. [more]
64
Learn more about scoring.

We analyzed this package on Jul 22, 2019, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.4.0
  • pana: 0.12.19

Platforms

Detected platforms: Flutter, web, other

No platform restriction found in primary library package:rest_api_builder/rest_api_builder.dart.

Health suggestions

Format lib/src/delete.dart.

Run dartfmt to format lib/src/delete.dart.

Format lib/src/post.dart.

Run dartfmt to format lib/src/post.dart.

Format lib/src/put.dart.

Run dartfmt to format lib/src/put.dart.

Maintenance issues and suggestions

Provide a file named CHANGELOG.md. (-20 points)

Changelog entries help developers follow the progress of your package. See the example generated by stagehand.

The package description is too short. (-20 points)

Add more detail to the description field of pubspec.yaml. Use 60 to 180 characters to describe the package, what it does, and its target use case.

Maintain an example. (-10 points)

Create a short demo in the example/ directory to show how to use this package.

Common filename patterns include main.dart, example.dart, and rest_api_builder.dart. Packages with multiple examples should provide example/README.md.

For more information see the pub package layout conventions.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.0.0 <3.0.0
Dev dependencies
test ^1.5.3

Admin